Bug 1973995 - [Feature:IPv6DualStack] tests are failing in dualstack
Summary: [Feature:IPv6DualStack] tests are failing in dualstack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.8.0
Assignee: Antonio Ojea
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 1972684
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-19 17:54 UTC by OpenShift BugZilla Robot
Modified: 2021-07-27 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:13:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26251 0 None open [release-4.8] Bug 1973995: Add failing tests in OVN-K into skipped list 2021-06-19 17:54:48 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:13:37 UTC

Description OpenShift BugZilla Robot 2021-06-19 17:54:36 UTC
+++ This bug was initially created as a clone of Bug #1972684 +++

Description of problem:
[sig-network] [Feature:IPv6DualStack] [LinuxOnly] should have ipv4 and ipv6 node podCIDRs
[sig-network] [Feature:IPv6DualStack] [LinuxOnly] Granular Checks: Services Secondary IP Family should function for client IP based session affinity: http
[sig-network] [Feature:IPv6DualStack] [LinuxOnly] Granular Checks: Services Secondary IP Family should function for client IP based session affinity: udp

These 3 tests are permanently failing in e2e-metal-ipi-ovn-dualstack jobs.

Version-Release number of selected component (if applicable):
4.8+

How reproducible:
Run e2e-metal-ipi-ovn-dualstack CI job.

Actual results:
Tests are failing

Expected results:
Tests pass

Additional info:

https://testgrid.k8s.io/redhat-openshift-ocp-release-4.8-informing#periodic-ci-openshift-release-master-nightly-4.8-e2e-metal-ipi-ovn-dualstack

--- Additional comment from aguclu@redhat.com on 2021-06-16 13:57:11 UTC ---

[sig-network] [Feature:IPv6DualStack] [LinuxOnly] should have ipv4 and ipv6 node podCIDRs test is failing in here https://github.com/openshift/origin/blob/b6793727bc9cfaaf6b3320af053d3495dccd896c/vendor/k8s.io/kubernetes/test/e2e/network/dual_stack.go#L77 because it expects podCIDRs returns 2 values, but function returns 0.

After checking from the must-gather logs, nodes have no podCIDRs. And according to here https://github.com/openshift/origin/blob/b6793727bc9cfaaf6b3320af053d3495dccd896c/vendor/k8s.io/api/core/v1/types.go#L4600, this field is optional. It seems like a bug in upstream test.

--- Additional comment from aguclu@redhat.com on 2021-06-16 14:09:49 UTC ---

But test is clearly say that podCIDRs must be exist in dualstack?

--- Additional comment from stbenjam@redhat.com on 2021-06-16 14:31:12 UTC ---

Looking at an IPv4 job, I don't see any podIP's either:

https://gcsweb-ci.apps.ci.l2s4.p1.openshiftapps.com/gcs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.7-e2e-metal-ipi-virtualmedia/1405130987209232384/artifacts/e2e-metal-ipi-virtualmedia/gather-extra/artifacts/nodes.json


Let's let the OVN team take a look and see what they say about the failures.

--- Additional comment from aconstan@redhat.com on 2021-06-16 14:45:17 UTC ---

We are thinking the session a

--- Additional comment from aojeagar@redhat.com on 2021-06-16 15:24:26 UTC ---

OVN-Kubernetes doesn't support service affinity ... yet, so those tests are a well-known issue and must be skipped

[sig-network] [Feature:IPv6DualStack] [LinuxOnly] Granular Checks: Services Secondary IP Family should function for client IP based session affinity: http
[sig-network] [Feature:IPv6DualStack] [LinuxOnly] Granular Checks: Services Secondary IP Family should function for client IP based 
session affinity: udp


This test can be skipped too, because podCIDRs are not used by OVN, but it is not really an OVN feature.

This happens if the nodeipam controller in the controller-manager is not configured.

[sig-network] [Feature:IPv6DualStack] [LinuxOnly] should have ipv4 and ipv6 node podCIDRs

Comment 2 Antonio Ojea 2021-06-28 15:17:31 UTC
PR posted https://github.com/openshift/origin/pull/26251

Comment 7 errata-xmlrpc 2021-07-27 23:13:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.